Herald
OpenapiOauth

Get OAuth provider configuration by provider type

GET
/api/oauth/{realmId}/configs/{providerType}

Path Parameters

realmId*string

Realm ID

providerType*string

Provider type (google, github, facebook, apple)

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/oauth/string/configs/string"
{  "clientId": "string",  "createdAt": "string",  "enabled": true,  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "providerType": "string",  "realmId": "string",  "scopes": [    "string"  ],  "updatedAt": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}